import React from 'react';
import { Box, Typography, Button, useMediaQuery } from '@mui/material';
import Grid from '@mui/material/Grid2';

const ProductSelected = () => {

  const images = [
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    },
    {
      url: 'https://via.placeholder.com/300',
      title: 'KEMBOJA IN BEIGE',
      price: 123.90,
      description: "Atma Sari Kurta Raya Collection 2024",
      extra_desc: "or 3 payments of 68.50 MYR with Atome"
    }
  ];

  const isMobileScreen = useMediaQuery((theme) => theme.breakpoints.down('sm'))

  const displayedImages = isMobileScreen ? images.slice(0, 2) : images;

  return (
    <Box sx={{ mb: 5 }}>
      <Grid container spacing={1} columns={12}>
        {displayedImages.map((image, index) => (<Grid item size={{ xs: 6, md: 3 }} key={index}>
          <Box
            sx={{
              overflow: 'hidden',
              position: 'relative'
            }}
          >
            <img
              src={image.url}
              alt={image.title}
              style={{
                width: '100%',
                aspectRatio: '3 / 4',
                objectFit: 'cover',
              }}
            />

            <Button sx={{ position: "absolute", top: 20, left: 20, boxShadow: 0 }} variant="contained">
              NEW
            </Button>

            <Box sx={{ py: 5 }}>
              <Typography variant="body2" >
                {image.description}
              </Typography>
              <Typography variant="h5" sx={{ fontWeight: "bolder" }}>
                {image.title}
              </Typography>
              <Typography variant="body" >
                {`RM ${image.price}`}
              </Typography>
              <Typography variant="body2" sx={{ mt: 2 }}>
                {image.extra_desc}
              </Typography>
            </Box>
          </Box>
        </Grid>))}
      </Grid>
    </Box>
  );
};

export default ProductSelected;
